use clap::{ArgMatches, Command};
use color_eyre::Result;

pub(crate) fn command_definition() -> Command {
    Command::new("experiment")
        .subcommand_required(true)
        .about("A collection of utilities and experiments.")
}

#[tracing::instrument(skip_all)]
pub(crate) async fn run(ctx: sdk::Context, matches: &ArgMatches) -> Result<()> {
    match matches.subcommand() {
        _ => unreachable!(
            "clap is configured to require a subcommand, and they're all handled above"
        ),
    }
}
